Bug 1039938 - ikiwiki: osm plugin does not correctly sanitize parameters
ikiwiki: osm plugin does not correctly sanitize parameters
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131209,repor...
: Security
Depends On: 1039939
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-10 06:27 EST by Ratul Gupta
Modified: 2014-06-07 09:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-07 09:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-12-10 06:27:35 EST
It was found that the osm plugin for ikiwiki uses htmlscrubber (if enabled) to sanitize some parameters. Even when it is enabled, it was found that it still does not correctly escape some fields. In particular, the "name" parameter is included verbatim, breaking involuntarily javascript when the name contains a single quote/apostrophe ('). Due to this, javascript code injection might become trivial.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=731797
Comment 1 Ratul Gupta 2013-12-10 06:28:22 EST
Created ikiwiki tracking bugs for this issue:

Affects: fedora-all [bug 1039939]
Comment 3 Fedora Update System 2014-02-08 22:52:20 EST
ikiwiki-3.20140125-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-02-08 22:55:42 EST
ikiwiki-3.20140125-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Thomas Moschny 2014-04-19 03:31:19 EDT
Can we close this ticket?

Note You need to log in before you can comment on or make changes to this bug.